- Main Page
- Classes
- Files

- File List
- File Members

# flNotify.h File Reference

`#include "flGlobal.h"`

Go to the source code of this file.

## Classes
struct | NotifyTrayItem
## Functions
void | ntfyInit ()
void | ntfyTick ()
void | ntfyShowAll (float inTime)
void | ntfyCheckBattery ()
void | ntfyCheckTime ()
void | ntfyShowBattery ()
void | ntfyShowTime ()
void | ntfyShowDate ()
void | ntfyTrayAdd (char *inMessage, u32 inColor)
void | ntfyTrayTick ()
void | ntfyTrayShow ()

## Function Documentation

void ntfyCheckBattery | ( |  | ) |

Definition at line 170 of file flNotify.c.

References debugStatusLog, FL_NOTIFY_DURATION, ntfyBattChrgLast, ntfyBattLowLast, ntfyBattPercentLast, ntfyBattTime, and ntfyInitialized.

Referenced by ntfyTick().

void ntfyCheckTime | ( |  | ) |

Definition at line 217 of file flNotify.c.

References FL_NOTIFY_DURATION, ntfyInitialized, ntfyTimeLast, and ntfyTimeTime.

Referenced by ntfyTick().

void ntfyInit | ( |  | ) |

Definition at line 46 of file flNotify.c.

References FL_NOTIFY_TRAYSIZE, ntfyBattTimer, ntfyInitialized, ntfyTimeLast, ntfyTimeTimer, ntfyTray, ntfyTrayTimer, and timerCreate().

Referenced by flInitialize().

void ntfyShowAll | ( | float | inTime | ) |

Definition at line 131 of file flNotify.c.

References ntfyBattTime, ntfyShowBattery(), ntfyShowDate(), ntfyShowTime(), and ntfyTimeTime.

void ntfyShowBattery | ( |  | ) |

Definition at line 261 of file flNotify.c.

References debugWarning, fontDefault, fontDraw2dString(), fontHeight(), fontStringWidth(), graphics2dDrawLine(), graphics2dDrawRect(), graphics2dDrawRectFilled(), ntfyVisible, and SCREEN_WIDTH.

Referenced by ntfyShowAll(), and ntfyTick().

void ntfyShowDate | ( |  | ) |

Definition at line 327 of file flNotify.c.

Referenced by ntfyShowAll().

void ntfyShowTime | ( |  | ) |

Definition at line 300 of file flNotify.c.

References fontDefault, fontDraw2dString(), fontHeight(), graphics2dDrawEllipse(), graphics2dDrawEllipseFilled(), graphics2dDrawLine(), graphics2dDrawRectFilled(), ntfyVisible, and SCREEN_WIDTH.

Referenced by ntfyShowAll(), and ntfyTick().

void ntfyTick | ( |  | ) |

Definition at line 67 of file flNotify.c.

References FL_NOTIFY_FREQUENCY, ntfyBattTime, ntfyBattTimer, ntfyCheckBattery(), ntfyCheckTime(), ntfyInitialized, ntfyShowBattery(), ntfyShowTime(), ntfyTickCount, ntfyTimeTime, ntfyTimeTimer, ntfyTrayShow(), ntfyTrayTick(), and timerGetDeltaTime().

Referenced by graphicsSwapBuffers().

void ntfyTrayAdd | ( | char * | inMessage,
|  | u32 | inColor |
| ) |  |  |

Definition at line 332 of file flNotify.c.

References FL_NOTIFY_DURATION, FL_NOTIFY_TRAYSIZE, ntfyInitialized, ntfyTray, NotifyTrayItem::ntiColor, NotifyTrayItem::ntiMessage, and NotifyTrayItem::ntiTime.

Referenced by debugDevWarningFrom(), debugErrorFrom(), debugStatusLogFrom(), and debugWarningFrom().

void ntfyTrayShow | ( |  | ) |

Definition at line 363 of file flNotify.c.

References FL_NOTIFY_TRAYSIZE, fontDefault, fontDraw2dString(), fontHeight(), graphics2dDrawRectFilled(), ntfyTray, ntfyVisible, SCREEN_HEIGHT, and SCREEN_WIDTH.

Referenced by ntfyTick().

void ntfyTrayTick | ( |  | ) |

Definition at line 348 of file flNotify.c.

References FL_NOTIFY_TRAYSIZE, ntfyInitialized, ntfyTray, ntfyTrayTimer, and timerGetDeltaTime().

Referenced by ntfyTick().